/*-------------------------------------------------------------------------
 |                                                                         
 |             SAS SUPPLEMENTAL SYNTAX FILE FOR ICPSR 02884
 |        NATIONAL TREATMENT IMPROVEMENT EVALUATION STUDY (NTIES),
 |                               1992-1997
 |          (DATASET 0004: NTIES PATIENT RECORD ABSTRACTION FORM
 |                                (NPRAF))
 |
 | This SAS program is provided for optional use with the SAS transport
 | version of this data file as distributed by ICPSR. The metadata
 | provided below are not stored in the SAS transport version of this data
 | collection.  Users need to use SAS PROC CIMPORT to import the SAS
 | transport file to a SAS data set on their system. This program can
 | then be used in conjunction with the SAS system data file.
 |
 | DATA:  begins a SAS data step and names an output SAS data set. Users
 | should replace "SAS-dataset" with their name for the SAS data set copied
 | from the SAS transport file. Users can add a SAS libname statement
 | and an output SAS data set name to make a permanent SAS data set.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | If any variables have more than one missing value, they are assigned
 | to the standard missing value of a single period (.) in the statement
 | below. To maintain the original meaning of missing codes, users may want
 | to take advantage of the SAS missing values (the letters A-Z or an
 | underscore preceded by a period).
 |
 | An example of a standard missing value recode:
 |
 |   IF (RELATION = 98 OR RELATION = 99) THEN RELATION = .;
 |
 | The same example using special missing value recodes:
 |
 |    IF RELATION = 98 THEN RELATION = .A;
 |    IF RELATION = 99 THEN RELATION = .B;
 |
 | NOTE:  Users should modify this file to suit their specific needs.
 | The MISSING VALUE RECODES section has been commented out (i.e., '/*').
 | To make this section active in the program, users should remove the SAS
 | comment indicators from this section.
 |
 |------------------------------------------------------------------------*/

RUN;

* SAS DATA STEP;
DATA;
SET SAS-dataset ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
   IF (PRGMTYPE <= -1) THEN PRGMTYPE = .;
   IF (TRT2 <= -1) THEN TRT2 = .;
   IF (PRG2 <= -1) THEN PRG2 = .;
   IF (CELL <= -1) THEN CELL = .;
   IF (CELL2 <= -1) THEN CELL2 = .;
   IF (F3_1 <= -1) THEN F3_1 = .;
   IF (F3_2 <= -1) THEN F3_2 = .;
   IF (F3_3 <= -1) THEN F3_3 = .;
   IF (F4 <= -1) THEN F4 = .;
   IF (F7 <= -1) THEN F7 = .;
   IF (F7A_1 <= -1) THEN F7A_1 = .;
   IF (F7A_2 <= -1) THEN F7A_2 = .;
   IF (F7A_3 <= -1) THEN F7A_3 = .;
   IF (F8 <= -1) THEN F8 = .;
   IF (F9 <= -1) THEN F9 = .;
   IF (F10A <= -1) THEN F10A = .;
   IF (F10B <= -1) THEN F10B = .;
   IF (F11 <= -1) THEN F11 = .;
   IF (F11B <= -1) THEN F11B = .;
   IF (F11C <= -1) THEN F11C = .;
   IF (F12 <= -1) THEN F12 = .;
   IF (F12C <= -1) THEN F12C = .;
   IF (F13M1 <= -1) THEN F13M1 = .;
   IF (F13M2 <= -1) THEN F13M2 = .;
   IF (F13M3 <= -1) THEN F13M3 = .;
   IF (F13M4 <= -1) THEN F13M4 = .;
   IF (F13M5 <= -1) THEN F13M5 = .;
   IF (F13M6 <= -1) THEN F13M6 = .;
   IF (F13M7 <= -1) THEN F13M7 = .;
   IF (F13M8 <= -1) THEN F13M8 = .;
   IF (F13M9 <= -1) THEN F13M9 = .;
   IF (F13M10 <= -1) THEN F13M10 = .;
   IF (F13M11 <= -1) THEN F13M11 = .;
   IF (F13M12 <= -1) THEN F13M12 = .;
   IF (F13M13 <= -1) THEN F13M13 = .;
   IF (F14 <= -1) THEN F14 = .;
   IF (F14A1 <= -1.00) THEN F14A1 = .;
   IF (F14A1M1 <= -1) THEN F14A1M1 = .;
   IF (F14A1M2 <= -1) THEN F14A1M2 = .;
   IF (F14A1M3 <= -1) THEN F14A1M3 = .;
   IF (F14A1M4 <= -1) THEN F14A1M4 = .;
   IF (F14A1M5 <= -1) THEN F14A1M5 = .;
   IF (F14A1M6 <= -1) THEN F14A1M6 = .;
   IF (F14A1M7 <= -1) THEN F14A1M7 = .;
   IF (F14A1M8 <= -1) THEN F14A1M8 = .;
   IF (F14A1M9 <= -1) THEN F14A1M9 = .;
   IF (F14A2 <= -1.00) THEN F14A2 = .;
   IF (F14A2M1 <= -1) THEN F14A2M1 = .;
   IF (F14A2M2 <= -1) THEN F14A2M2 = .;
   IF (F14A2M3 <= -1) THEN F14A2M3 = .;
   IF (F14A2M4 <= -1) THEN F14A2M4 = .;
   IF (F14A2M6 <= -1) THEN F14A2M6 = .;
   IF (F14A2M8 <= -1) THEN F14A2M8 = .;
   IF (F14A2M9 <= -1) THEN F14A2M9 = .;
   IF (F14A3 <= -1.00) THEN F14A3 = .;
   IF (F14A3M1 <= -1) THEN F14A3M1 = .;
   IF (F14A3M2 <= -1) THEN F14A3M2 = .;
   IF (F14A3M3 <= -1) THEN F14A3M3 = .;
   IF (F14A3M4 <= -1) THEN F14A3M4 = .;
   IF (F14A3M6 <= -1) THEN F14A3M6 = .;
   IF (F14A3M8 <= -1) THEN F14A3M8 = .;
   IF (F14A3M9 <= -1) THEN F14A3M9 = .;
   IF (F14A4 <= -1.00) THEN F14A4 = .;
   IF (F14A4M1 <= -1) THEN F14A4M1 = .;
   IF (F14A4M2 <= -1) THEN F14A4M2 = .;
   IF (F14A4M3 <= -1) THEN F14A4M3 = .;
   IF (F14A4M4 <= -1) THEN F14A4M4 = .;
   IF (F14A4M5 <= -1) THEN F14A4M5 = .;
   IF (F14A4M6 <= -1) THEN F14A4M6 = .;
   IF (F14A4M7 <= -1) THEN F14A4M7 = .;
   IF (F14A4M8 <= -1) THEN F14A4M8 = .;
   IF (F14A4M9 <= -1) THEN F14A4M9 = .;
   IF (F14A5 <= -1.00) THEN F14A5 = .;
   IF (F14A5M1 <= -1) THEN F14A5M1 = .;
   IF (F14A5M2 <= -1) THEN F14A5M2 = .;
   IF (F14A5M3 <= -1) THEN F14A5M3 = .;
   IF (F14A5M4 <= -1) THEN F14A5M4 = .;
   IF (F14A5M6 <= -1) THEN F14A5M6 = .;
   IF (F14A5M8 <= -1) THEN F14A5M8 = .;
   IF (F14A5M9 <= -1) THEN F14A5M9 = .;
   IF (F14A6 <= -1.00) THEN F14A6 = .;
   IF (F14A6M1 <= -1) THEN F14A6M1 = .;
   IF (F14A6M2 <= -1) THEN F14A6M2 = .;
   IF (F14A6M3 <= -1) THEN F14A6M3 = .;
   IF (F14A6M4 <= -1) THEN F14A6M4 = .;
   IF (F14A6M6 <= -1) THEN F14A6M6 = .;
   IF (F14A6M8 <= -1) THEN F14A6M8 = .;
   IF (F14A6M9 <= -1) THEN F14A6M9 = .;
   IF (F14A7 <= -1.00) THEN F14A7 = .;
   IF (F14A7M1 <= -1) THEN F14A7M1 = .;
   IF (F14A7M2 <= -1) THEN F14A7M2 = .;
   IF (F14A7M3 <= -1) THEN F14A7M3 = .;
   IF (F14A7M4 <= -1) THEN F14A7M4 = .;
   IF (F14A7M5 <= -1) THEN F14A7M5 = .;
   IF (F14A7M6 <= -1) THEN F14A7M6 = .;
   IF (F14A7M8 <= -1) THEN F14A7M8 = .;
   IF (F14A7M9 <= -1) THEN F14A7M9 = .;
   IF (F14A8 <= -1.00) THEN F14A8 = .;
   IF (F14A8M1 <= -1) THEN F14A8M1 = .;
   IF (F14A8M2 <= -1) THEN F14A8M2 = .;
   IF (F14A8M3 <= -1) THEN F14A8M3 = .;
   IF (F14A8M4 <= -1) THEN F14A8M4 = .;
   IF (F14A8M6 <= -1) THEN F14A8M6 = .;
   IF (F14A8M7 <= -1) THEN F14A8M7 = .;
   IF (F14A8M8 <= -1) THEN F14A8M8 = .;
   IF (F14A8M9 <= -1) THEN F14A8M9 = .;
   IF (F14A9 <= -1.00) THEN F14A9 = .;
   IF (F14A9M1 <= -1) THEN F14A9M1 = .;
   IF (F14A9M2 <= -1) THEN F14A9M2 = .;
   IF (F14A9M3 <= -1) THEN F14A9M3 = .;
   IF (F14A9M4 <= -1) THEN F14A9M4 = .;
   IF (F14A9M6 <= -1) THEN F14A9M6 = .;
   IF (F14A9M7 <= -1) THEN F14A9M7 = .;
   IF (F14A9M8 <= -1) THEN F14A9M8 = .;
   IF (F14A9M9 <= -1) THEN F14A9M9 = .;
   IF (F14A10 <= -1.00) THEN F14A10 = .;
   IF (F14A10M1 <= -1) THEN F14A10M1 = .;
   IF (F14A10M2 <= -1) THEN F14A10M2 = .;
   IF (F14A10M3 <= -1) THEN F14A10M3 = .;
   IF (F14A10M7 <= -1) THEN F14A10M7 = .;
   IF (F14A10M8 <= -1) THEN F14A10M8 = .;
   IF (F14A10M9 <= -1) THEN F14A10M9 = .;
   IF (F14A11 <= -1.00) THEN F14A11 = .;
   IF (F14A11M1 <= -1) THEN F14A11M1 = .;
   IF (F14A11M2 <= -1) THEN F14A11M2 = .;
   IF (F14A11M3 <= -1) THEN F14A11M3 = .;
   IF (F14A11M7 <= -1) THEN F14A11M7 = .;
   IF (F14A11M8 <= -1) THEN F14A11M8 = .;
   IF (F14A11M9 <= -1) THEN F14A11M9 = .;
   IF (F14A12 <= -1.00) THEN F14A12 = .;
   IF (F14A12M1 <= -1) THEN F14A12M1 = .;
   IF (F14A12M2 <= -1) THEN F14A12M2 = .;
   IF (F14A12M3 <= -1) THEN F14A12M3 = .;
   IF (F14A12M5 <= -1) THEN F14A12M5 = .;
   IF (F14A12M7 <= -1) THEN F14A12M7 = .;
   IF (F14A12M8 <= -1) THEN F14A12M8 = .;
   IF (F14A12M9 <= -1) THEN F14A12M9 = .;
   IF (F15A1 = 7) THEN F15A1 = .;
   IF (F15A1 <= -1) THEN F15A1 = .;
   IF (F15A2 = 7) THEN F15A2 = .;
   IF (F15A2 <= -1) THEN F15A2 = .;
   IF (F15A3 = 7) THEN F15A3 = .;
   IF (F15A3 <= -1) THEN F15A3 = .;
   IF (F15A4 = 7) THEN F15A4 = .;
   IF (F15A4 <= -1) THEN F15A4 = .;
   IF (F15A6 = 7) THEN F15A6 = .;
   IF (F15A6 <= -1) THEN F15A6 = .;
   IF (F15A7 = 7) THEN F15A7 = .;
   IF (F15A7 <= -1) THEN F15A7 = .;
   IF (F15A8 = 7) THEN F15A8 = .;
   IF (F15A8 <= -1) THEN F15A8 = .;
   IF (F15A9 = 7) THEN F15A9 = .;
   IF (F15A9 <= -1) THEN F15A9 = .;
   IF (F15A10 = 7) THEN F15A10 = .;
   IF (F15A10 <= -1) THEN F15A10 = .;
   IF (F15A11 = 7) THEN F15A11 = .;
   IF (F15A11 <= -1) THEN F15A11 = .;
   IF (F15A12 = 7) THEN F15A12 = .;
   IF (F15A12 <= -1) THEN F15A12 = .;
   IF (F15A13 = 7) THEN F15A13 = .;
   IF (F15A13 <= -1) THEN F15A13 = .;
   IF (F15A14 = 7) THEN F15A14 = .;
   IF (F15A14 <= -1) THEN F15A14 = .;
   IF (F15A15 = 7) THEN F15A15 = .;
   IF (F15A15 <= -1) THEN F15A15 = .;
   IF (F15A16 = 7) THEN F15A16 = .;
   IF (F15A16 <= -1) THEN F15A16 = .;
   IF (F15A17 = 7) THEN F15A17 = .;
   IF (F15A17 <= -1) THEN F15A17 = .;
   IF (F15A18 = 7) THEN F15A18 = .;
   IF (F15A18 <= -1) THEN F15A18 = .;
   IF (F15A19 = 7) THEN F15A19 = .;
   IF (F15A19 <= -1) THEN F15A19 = .;
   IF (F15A20 <= -1) THEN F15A20 = .;
   IF (F15A21 <= -1) THEN F15A21 = .;
   IF (F15A22 = 7) THEN F15A22 = .;
   IF (F15A22 <= -1) THEN F15A22 = .;
   IF (F15A23 = 7) THEN F15A23 = .;
   IF (F15A23 <= -1) THEN F15A23 = .;
   IF (F15A24 = 7) THEN F15A24 = .;
   IF (F15A24 <= -1) THEN F15A24 = .;
   IF (F16M1 <= -1) THEN F16M1 = .;
   IF (F16M2 <= -1) THEN F16M2 = .;
   IF (F16M3 <= -1) THEN F16M3 = .;
   IF (F16M4 <= -1) THEN F16M4 = .;
   IF (F16M5 <= -1) THEN F16M5 = .;
   IF (F16M6 <= -1) THEN F16M6 = .;
   IF (F16M7 <= -1) THEN F16M7 = .;
   IF (F16M8 <= -1) THEN F16M8 = .;
   IF (F16M9 <= -1) THEN F16M9 = .;
   IF (F16M11 <= -1) THEN F16M11 = .;
   IF (F16M12 <= -1) THEN F16M12 = .;
   IF (F17 <= -1) THEN F17 = .;
   IF (F17A1 <= -1.00) THEN F17A1 = .;
   IF (F17A1A4 <= -1) THEN F17A1A4 = .;
   IF (F17A1A5 <= -1) THEN F17A1A5 = .;
   IF (F17A2 <= -1.00) THEN F17A2 = .;
   IF (F17A2A4 <= -1) THEN F17A2A4 = .;
   IF (F17A2A5 <= -1) THEN F17A2A5 = .;
   IF (F17A3 <= -1.00) THEN F17A3 = .;
   IF (F17A3A4 <= -1) THEN F17A3A4 = .;
   IF (F17A3A5 <= -1) THEN F17A3A5 = .;
   IF (F17A4 <= -1.00) THEN F17A4 = .;
   IF (F17A4A4 <= -1) THEN F17A4A4 = .;
   IF (F17A4A5 <= -1) THEN F17A4A5 = .;
   IF (F17A5 <= -1.00) THEN F17A5 = .;
   IF (F17A5A4 <= -1) THEN F17A5A4 = .;
   IF (F17A5A5 <= -1) THEN F17A5A5 = .;
   IF (F17A6 <= -1.00) THEN F17A6 = .;
   IF (F17A6A4 <= -1) THEN F17A6A4 = .;
   IF (F17A6A5 <= -1) THEN F17A6A5 = .;
   IF (F17A7 <= -1.00) THEN F17A7 = .;
   IF (F17A7A4 <= -1) THEN F17A7A4 = .;
   IF (F17A7A5 <= -1) THEN F17A7A5 = .;
   IF (F17A8 <= -1.00) THEN F17A8 = .;
   IF (F17A8A4 <= -1) THEN F17A8A4 = .;
   IF (F17A8A5 <= -1) THEN F17A8A5 = .;
   IF (F17A9 <= -1.00) THEN F17A9 = .;
   IF (F17A9A4 <= -1) THEN F17A9A4 = .;
   IF (F17A9A5 <= -1) THEN F17A9A5 = .;
   IF (F17A10 <= -1.00) THEN F17A10 = .;
   IF (F17A10A4 <= -1) THEN F17A10A4 = .;
   IF (F17A10A5 <= -1) THEN F17A10A5 = .;
   IF (F17A11 <= -1.00) THEN F17A11 = .;
   IF (F17A11A4 <= -1) THEN F17A11A4 = .;
   IF (F17A11A5 <= -1) THEN F17A11A5 = .;
   IF (F17A12 <= -1.00) THEN F17A12 = .;
   IF (F17A12A4 <= -1) THEN F17A12A4 = .;
   IF (F17A12A5 <= -1) THEN F17A12A5 = .;
   IF (F17A13 <= -1.00) THEN F17A13 = .;
   IF (F17A13A4 <= -1) THEN F17A13A4 = .;
   IF (F17A13A5 <= -1) THEN F17A13A5 = .;
   IF (F17A14 <= -1.00) THEN F17A14 = .;
   IF (F17A14A4 <= -1) THEN F17A14A4 = .;
   IF (F17A14A5 <= -1) THEN F17A14A5 = .;
   IF (F17B <= -1) THEN F17B = .;
   IF (F18 <= -1) THEN F18 = .;
   IF (F19 <= -1) THEN F19 = .;
   IF (F20 <= -1) THEN F20 = .;
   IF (F20A1 <= -1) THEN F20A1 = .;
   IF (F20A2 <= -1) THEN F20A2 = .;
   IF (F20A3 <= -1) THEN F20A3 = .;
   IF (F20B = 4) THEN F20B = .;
   IF (F20B <= -1) THEN F20B = .;
   IF (PRAFMODE <= -1) THEN PRAFMODE = .;
*/

RUN ;
